<fieldset>

    <script type="text/javascript">
        $(document).ready(function() {
            toggle_auth_fields = function() {
                var auth_type = $(".auth-choice").val();
                if(auth_type == 'password') {
                    $(".key").hide();
                    $(".key_pw").hide();
                    $(".password").show();
                } else if(auth_type == 'key') {
                    $(".key_pw").hide();
                    $(".password").hide();
                    $(".key").show();
                } else if(auth_type == 'key_pw') {
                    $(".password").hide();
                    $(".key").show();
                    $(".key_pw").show();
                }
            }
            $(".auth-choice").bind('change', toggle_auth_fields);
            toggle_auth_fields();
        });
    </script>

    <div class="control-group">
        <label class="control-label required">Hostname</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'hostname',
                'class' => 'span4',
                'value' => set_value('hostname', @$defaults['hostname']))); ?>
            <?php echo form_error('hostname') ?>
        <span class="help-inline">
            <?php echo question_tooltip('Remote host IP address or hostname.'); ?>
        </span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Remote User</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'username',
                'class' => 'span4',
                'value' => set_value('username', @$defaults['username']))); ?>
            <?php echo form_error('username') ?>
                    <span class="help-inline">
            <?php echo question_tooltip('Valid username with shell access for executing commands.'); ?>
        </span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Authentication Type</label>
        <div class="controls">
            <select name="auth_type" class="span4 auth-choice">
                <option value="password" <?php echo reactor_option_selected('auth_type', 'password', $defaults) ?>>Password</option>
                <option value="key" <?php echo reactor_option_selected('auth_type', 'key', $defaults) ?>>RSA Private Key</option>
                <option value="key_pw" <?php echo reactor_option_selected('auth_type', 'key_pw', $defaults) ?>>Password-protected RSA Private Key</option>
            </select>
            <span class="help-inline">
                <?php echo question_tooltip('Specify security type.  For highest level of security choose password-protected RSA private key.'); ?>
            </span>
            <?php echo form_error('auth_type') ?>
        </div>
    </div>

    <div class="control-group hide password">
        <label class="control-label required">Password</label>
        <div class="controls">
            <?php echo form_password(array(
                'name' => 'password',
                'class' => 'span4',
                'value' => set_value('password', @$defaults['password']))); ?>
            <?php echo form_error('password') ?>
        </div>
    </div>

    <div class="control-group hide key">
        <label class="control-label required">Private Key</label>
        <div class="controls">
            <?php echo form_textarea(array(
                'name' => 'ssh_key',
                'class' => 'span4',
                'rows' => '4',
                'value' => set_value('ssh_key', @$defaults['ssh_key']))); ?>
            <?php echo form_error('ssh_key') ?>
        </div>
    </div>

    <div class="control-group hide key_pw">
        <label class="control-label required">Key Password</label>
        <div class="controls">
            <?php echo form_password(array(
                'name' => 'ssh_key_pw',
                'class' => 'span4',
                'value' => set_value('ssh_key_pw', @$defaults['ssh_key_pw']))); ?>
            <?php echo form_error('ssh_key_pw') ?>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Remote Command</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'command',
                'class' => 'span4',
                'value' => set_value('command', @$defaults['command']))); ?>
            <?php echo form_error('command') ?>
                        <?php echo form_error('username') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Command to execute on remote shell.'); ?>
            </span>
        </div>
    </div>

    

</fieldset>
